Freeciv-3.3: trade_city Class Reference

Freeciv-3.3

Loading...
Searching...
No Matches
Public Member Functions | Data Fields
trade_city Class Reference

`#include <menu.h>`

## Public Member Functions

| trade_city (struct city *pcity)

## Data Fields

bool | done
int | over_max
int | poss_trade_num
unsigned | trade_num
QList< struct city * > | curr_tr_cities
QList< struct city * > | new_tr_cities
QList< struct city * > | pos_cities
struct city * | city
struct tile * | tile

## Detailed Description

Definition at line 138 of file menu.h.

## Constructor & Destructor Documentation

## ◆ trade_city()

trade_city::trade_city | ( | struct city * | pcity | ) |

Constructor for trade city used to trade calculation

Definition at line 68 of file menu.cpp.

## Field Documentation

## ◆ city

struct city* trade_city::city

Definition at line 150 of file menu.h.

Referenced by trade_generator::add_city(), trade_generator::add_tile(), trade_generator::calculate(), trade_generator::calculate_inner(), trade_generator::discard_any(), trade_generator::discard_trade(), trade_generator::find_certain_routes_inner(), trade_generator::find_over_max(), trade_generator::remove_city(), and trade_generator::remove_virtual_city().

## ◆ curr_tr_cities

QList<struct city *> trade_city::curr_tr_cities

Definition at line 147 of file menu.h.

Referenced by trade_generator::calculate().

## ◆ done

bool trade_city::done

Definition at line 143 of file menu.h.

Referenced by trade_generator::calculate(), trade_generator::find_certain_routes(), and trade_generator::find_certain_routes_inner().

## ◆ new_tr_cities

QList<struct city *> trade_city::new_tr_cities

Definition at line 148 of file menu.h.

Referenced by trade_generator::calculate(), and trade_generator::find_certain_routes_inner().

## ◆ over_max

int trade_city::over_max

Definition at line 144 of file menu.h.

Referenced by trade_generator::calculate_inner(), trade_generator::discard_one(), trade_generator::discard_trade(), trade_generator::find_certain_routes(), trade_generator::find_certain_routes_inner(), trade_generator::find_most_free(), and trade_generator::find_over_max().

## ◆ pos_cities

QList<struct city *> trade_city::pos_cities

Definition at line 149 of file menu.h.

Referenced by trade_generator::calculate(), trade_generator::calculate_inner(), trade_generator::discard_any(), trade_generator::discard_trade(), and trade_generator::find_certain_routes_inner().

## ◆ poss_trade_num

int trade_city::poss_trade_num

Definition at line 145 of file menu.h.

Referenced by trade_generator::calculate(), trade_generator::calculate_inner(), trade_generator::discard_trade(), trade_generator::find_certain_routes_inner(), and trade_city().

## ◆ tile

struct tile* trade_city::tile

Definition at line 151 of file menu.h.

## ◆ trade_num

unsigned trade_city::trade_num

Definition at line 146 of file menu.h.

Referenced by trade_generator::calculate(), trade_generator::calculate_inner(), trade_generator::find_certain_routes_inner(), and trade_city().